## org.eclipse.amp.amf.testing.aTest
Interface TestMember

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestMemberImpl

    public interface TestMember

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Test Member'.

The following features are supported:

- `Import URI`

See Also:
  `ATestPackage.getTestMember()`

Method Summary
`java.lang.String` `getImportURI()` Returns the value of the 'Import URI' attribute.
`void` `setImportURI(java.lang.String value)` Sets the value of the '`Import URI`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getImportURI

    java.lang.String getImportURI()

  Returns the value of the 'Import URI' attribute.

  If the meaning of the 'Import URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Import URI' attribute.
  See Also:
    `setImportURI(String)`, `ATestPackage.getTestMember_ImportURI()`

### setImportURI

    void setImportURI(java.lang.String value)

  Sets the value of the '`Import URI`' attribute.

  Parameters:
    `value` - the new value of the 'Import URI' attribute.
  See Also:
    `getImportURI()`